Subject: Re: [PATCH v3] cache.h: auto-detect if zlib has uncompress2()

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Jan 2022 16:55:24 -0800

<[email-masked]> writes:

> On January 21, 2022 6:23 PM, Junio C Hamano wrote:
>> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>> 
>> > As noted in the updated commit message this approach of having an
>> > object just for this fallback function comes at the cost of some
>> > complexity, but now the compat object lives neatly in its own object.
>> 
>> I do not see any change in this patch adding costly complexity, but I notice lack of
>> one possible trick that might become problem with some compilers and linkers
>> when their zlib has uncompress2() function.  Let's have this graduate very early in
>> the next cycle, to see if anybody on a rarer system sees a complaint due to having
>> to deal with a totally empty object file.
>> 
>> Will queue.
>
> On behalf of the "rarer systems", I will certainly be putting this through the regression suite.
> With thanks,
> --Randall

;-)  

I know you are on a rarer system, but I also know you need a real
replacement code in the compat object file, so your linker will not
be dealing with an empty object file.

Thanks.